apeman-task-contrib-coz
======

[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_coveralls_badge_url]][my_coveralls_url]
[![npm version][my_npm_budge_url]][my_npm_url]

Apeman task contribution plugin to render bud files with coz


Installation
-------

Install module via [npm][npm_url]

```bash
npm install apeman-task-contrib-coz --save-dev
```

Usage
-------

```javascript
/**
 * This is example Apemanfile to use "apeman-task-contrib-coz".
 */

"use strict";

module.exports = {
    $package: {/*...*/},
    $tasks: {
        "structure-my-project": {
            "$worker": "apeman-task-contrib-coz",
            // Render coz
            "$options": [
                "lib/**/.*.bud",
                "test/**/.*.bud"
            ]
        }
    }
};
````

Then, run it from call the task via [apeman CLI][apeman_cli_doc_url].

```bash
apeman task apeman-task-contrib-coz
```

License
-------

This software is released under the [MIT License][my_license_url].


Links
-------

+ [apeman][apeman_url]

<!-- Links -->
[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[apeman_cli_doc_url]: https://github.com/apeman-repo/apeman
[my_repo_url]: https://github.com/apeman-repo/apeman-task-contrib-coz
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-task-contrib-coz
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-task-contrib-coz.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-task-contrib-coz/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-task-contrib-coz
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-task-contrib-coz.svg?style=flat
[my_coveralls_url]: https://coveralls.io/github/apeman-repo/apeman-task-contrib-coz
[my_coveralls_badge_url]: http://img.shields.io/coveralls/apeman-repo/apeman-task-contrib-coz.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-task-contrib-coz
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-task-contrib-coz.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-task-contrib-coz
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-task-contrib-coz.svg?style=flat
[coz_url]: http://okunishinishi.github.io/node-coz/apiguide


