#!/usr/bin/env node

/**
 * Test for index.js
 * Runs with nodeunit.
 */

"use strict";

var worker = require('./index.js'),
    fs = require('fs');

var mockCtx = {
    logger: {
        debug: function () {
        }
    }
};

exports['Run worker'] = function (test) {
    worker(mockCtx, [], function (err) {
        test.ifError(err);
        test.done();
    });
};

